-- MySqlBackup.NET 2.3
-- Dump Time: 2019-08-23 09:57:22
-- --------------------------------------
-- Server version 5.7.22-log MySQL Community Server (GPL)


/*!40101 SET @OLD_CHARACTER_SET_CLIENT=@@CHARACTER_SET_CLIENT */;
/*!40101 SET @OLD_CHARACTER_SET_RESULTS=@@CHARACTER_SET_RESULTS */;
/*!40101 SET @OLD_COLLATION_CONNECTION=@@COLLATION_CONNECTION */;
/*!40101 SET NAMES utf8 */;
/*!40014 SET @OLD_UNIQUE_CHECKS=@@UNIQUE_CHECKS, UNIQUE_CHECKS=0 */;
/*!40014 SET @OLD_FOREIGN_KEY_CHECKS=@@FOREIGN_KEY_CHECKS, FOREIGN_KEY_CHECKS=0 */;
/*!40101 SET @OLD_SQL_MODE=@@SQL_MODE, SQL_MODE='NO_AUTO_VALUE_ON_ZERO' */;
/*!40111 SET @OLD_SQL_NOTES=@@SQL_NOTES, SQL_NOTES=0 */;


-- 
-- Definition of ALM_Config
-- 

DROP TABLE IF EXISTS `ALM_Config`;
CREATE TABLE IF NOT EXISTS `ALM_Config` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `AlarmText` varchar(100) NOT NULL,
  `VarID` int(11) NOT NULL,
  `AlarmValue` varchar(50) DEFAULT NULL,
  `ReturnValue` varchar(50) DEFAULT NULL,
  `AlarmMethod` varchar(50) DEFAULT NULL,
  `ConfigStatus` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB AUTO_INCREMENT=982 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table ALM_Config
-- 

/*!40000 ALTER TABLE `ALM_Config` DISABLE KEYS */;

/*!40000 ALTER TABLE `ALM_Config` ENABLE KEYS */;

-- 
-- Definition of ALM_Log
-- 

DROP TABLE IF EXISTS `ALM_Log`;
CREATE TABLE IF NOT EXISTS `ALM_Log` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `LogType` varchar(100) NOT NULL,
  `LogContent` varchar(500) NOT NULL,
  `TimeStamp` datetime NOT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table ALM_Log
-- 

/*!40000 ALTER TABLE `ALM_Log` DISABLE KEYS */;

/*!40000 ALTER TABLE `ALM_Log` ENABLE KEYS */;

-- 
-- Definition of ALM_Module
-- 

DROP TABLE IF EXISTS `ALM_Module`;
CREATE TABLE IF NOT EXISTS `ALM_Module` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `ModuleName` varchar(50) NOT NULL,
  `AlarmDevice` int(11) DEFAULT NULL,
  `AlarmInterval` int(11) DEFAULT NULL,
  `SmsCenter` varchar(20) DEFAULT NULL,
  `DoTime` datetime DEFAULT NULL,
  `DoBit` bit(1) DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table ALM_Module
-- 

/*!40000 ALTER TABLE `ALM_Module` DISABLE KEYS */;

/*!40000 ALTER TABLE `ALM_Module` ENABLE KEYS */;

-- 
-- Definition of ALM_Person
-- 

DROP TABLE IF EXISTS `ALM_Person`;
CREATE TABLE IF NOT EXISTS `ALM_Person` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `UserName` varchar(50) NOT NULL,
  `ModuleID` int(11) NOT NULL,
  `Telephone` varchar(20) DEFAULT NULL,
  `Department` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table ALM_Person
-- 

/*!40000 ALTER TABLE `ALM_Person` DISABLE KEYS */;

/*!40000 ALTER TABLE `ALM_Person` ENABLE KEYS */;

-- 
-- Definition of ALM_Queue
-- 

DROP TABLE IF EXISTS `ALM_Queue`;
CREATE TABLE IF NOT EXISTS `ALM_Queue` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `TimeStamp` datetime NOT NULL,
  `RemainTime` double DEFAULT NULL,
  `AlarmTarget` varchar(50) DEFAULT NULL,
  `AlarmType` varchar(50) DEFAULT NULL,
  `IsLast` smallint(6) DEFAULT NULL,
  `AlarmIDGroup` varchar(100) DEFAULT NULL,
  `AlarmText` varchar(1000) DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB AUTO_INCREMENT=50 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table ALM_Queue
-- 

/*!40000 ALTER TABLE `ALM_Queue` DISABLE KEYS */;

/*!40000 ALTER TABLE `ALM_Queue` ENABLE KEYS */;

-- 
-- Definition of DAT_RealTime
-- 

DROP TABLE IF EXISTS `DAT_RealTime`;
CREATE TABLE IF NOT EXISTS `DAT_RealTime` (
  `VarID` int(11) NOT NULL,
  `VarText` varchar(50) NOT NULL,
  `VarValue` varchar(100) DEFAULT NULL,
  `VarUnit` varchar(10) DEFAULT NULL,
  `Alarmlevel` int(11) DEFAULT NULL,
  `AlarmType` varchar(50) DEFAULT NULL,
  `AlarmText` varchar(100) DEFAULT NULL,
  `TimeStamp` datetime DEFAULT NULL,
  `Quality` int(11) DEFAULT NULL,
  PRIMARY KEY (`VarID`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table DAT_RealTime
-- 

/*!40000 ALTER TABLE `DAT_RealTime` DISABLE KEYS */;

/*!40000 ALTER TABLE `DAT_RealTime` ENABLE KEYS */;

-- 
-- Definition of DEV_CommLink
-- 

DROP TABLE IF EXISTS `DEV_CommLink`;
CREATE TABLE IF NOT EXISTS `DEV_CommLink` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `LinkName` varchar(50) NOT NULL,
  `DriverName` varchar(50) DEFAULT NULL,
  `Manufactory` varchar(50) DEFAULT NULL,
  `CommMode` varchar(50) DEFAULT NULL,
  `FileName` varchar(50) DEFAULT NULL,
  `LinkConfig` varchar(50) DEFAULT NULL,
  `FlushDataTime` decimal(10,0) DEFAULT NULL,
  `IntervalTime` decimal(10,0) DEFAULT NULL,
  `State` varchar(20) DEFAULT NULL,
  `DispOrder` int(11) DEFAULT NULL,
  `TimeStamp` datetime DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB AUTO_INCREMENT=66 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table DEV_CommLink
-- 

/*!40000 ALTER TABLE `DEV_CommLink` DISABLE KEYS */;

/*!40000 ALTER TABLE `DEV_CommLink` ENABLE KEYS */;

-- 
-- Definition of DEV_Device
-- 

DROP TABLE IF EXISTS `DEV_Device`;
CREATE TABLE IF NOT EXISTS `DEV_Device` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `LinkID` int(11) NOT NULL,
  `DeviceName` varchar(50) NOT NULL,
  `DriverName` varchar(100) DEFAULT NULL,
  `DriverPath` varchar(100) DEFAULT NULL,
  `DeviceConfig` varchar(50) DEFAULT NULL,
  `IntervalTime` decimal(10,0) DEFAULT NULL,
  `FlushDataTime` decimal(10,0) DEFAULT NULL,
  `Operate` varchar(10) DEFAULT NULL,
  `DispOrder` int(11) DEFAULT NULL,
  `TimeStamp` datetime DEFAULT NULL,
  `State` varchar(50) DEFAULT NULL,
  `ShortName` varchar(10) DEFAULT NULL,
  `TopicName` varchar(10) DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB AUTO_INCREMENT=126 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table DEV_Device
-- 

/*!40000 ALTER TABLE `DEV_Device` DISABLE KEYS */;

/*!40000 ALTER TABLE `DEV_Device` ENABLE KEYS */;

-- 
-- Definition of His_Variable_201901
-- 

DROP TABLE IF EXISTS `His_Variable_201901`;
CREATE TABLE IF NOT EXISTS `His_Variable_201901` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `DeviceID` int(11) DEFAULT NULL,
  `VarID` int(11) DEFAULT NULL,
  `VarValue` varchar(50) DEFAULT NULL,
  `TimeStamp` datetime DEFAULT NULL,
  PRIMARY KEY (`f_id`),
  KEY `TimeStamp` (`TimeStamp`)
) ENGINE=InnoDB AUTO_INCREMENT=2786 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table His_Variable_201901
-- 

/*!40000 ALTER TABLE `His_Variable_201901` DISABLE KEYS */;

/*!40000 ALTER TABLE `His_Variable_201901` ENABLE KEYS */;

-- 
-- Definition of His_Variable_201908
-- 

DROP TABLE IF EXISTS `His_Variable_201908`;
CREATE TABLE IF NOT EXISTS `His_Variable_201908` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `DeviceID` int(11) DEFAULT NULL,
  `VarID` int(11) DEFAULT NULL,
  `VarValue` varchar(50) DEFAULT NULL,
  `TimeStamp` datetime DEFAULT NULL,
  PRIMARY KEY (`f_id`),
  KEY `TimeStamp` (`TimeStamp`)
) ENGINE=InnoDB AUTO_INCREMENT=1012523 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table His_Variable_201908
-- 

/*!40000 ALTER TABLE `His_Variable_201908` DISABLE KEYS */;

/*!40000 ALTER TABLE `His_Variable_201908` ENABLE KEYS */;

-- 
-- Definition of SI_ControlParam
-- 

DROP TABLE IF EXISTS `SI_ControlParam`;
CREATE TABLE IF NOT EXISTS `SI_ControlParam` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `ParaName` varchar(20) NOT NULL,
  `ParaCode` varchar(10) NOT NULL,
  `ParaChnul` int(2) NOT NULL DEFAULT '0',
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table SI_ControlParam
-- 

/*!40000 ALTER TABLE `SI_ControlParam` DISABLE KEYS */;

/*!40000 ALTER TABLE `SI_ControlParam` ENABLE KEYS */;

-- 
-- Definition of SYS_Log
-- 

DROP TABLE IF EXISTS `SYS_Log`;
CREATE TABLE IF NOT EXISTS `SYS_Log` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `LogType` varchar(100) NOT NULL,
  `LogContent` varchar(500) DEFAULT NULL,
  `TimeStamp` datetime DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table SYS_Log
-- 

/*!40000 ALTER TABLE `SYS_Log` DISABLE KEYS */;

/*!40000 ALTER TABLE `SYS_Log` ENABLE KEYS */;

-- 
-- Definition of SYS_Project
-- 

DROP TABLE IF EXISTS `SYS_Project`;
CREATE TABLE IF NOT EXISTS `SYS_Project` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `PrjName` varchar(50) DEFAULT NULL,
  `PrjPath` varchar(50) DEFAULT NULL,
  `PrjDesc` varchar(50) DEFAULT NULL,
  `MasterIP` varchar(50) DEFAULT NULL,
  `NetPort` decimal(10,0) DEFAULT NULL,
  `Version` varchar(50) DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table SYS_Project
-- 

/*!40000 ALTER TABLE `SYS_Project` DISABLE KEYS */;

/*!40000 ALTER TABLE `SYS_Project` ENABLE KEYS */;

-- 
-- Definition of SYS_SMS
-- 

DROP TABLE IF EXISTS `SYS_SMS`;
CREATE TABLE IF NOT EXISTS `SYS_SMS` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `SmsType` varchar(50) DEFAULT NULL,
  `SmsCode` varchar(50) DEFAULT NULL,
  `CenterNum` varchar(50) DEFAULT NULL,
  `TargetNum` varchar(50) DEFAULT NULL,
  `ReceiveTime` datetime DEFAULT NULL,
  `SmsContent` varchar(1000) DEFAULT NULL,
  `TimeStamp` datetime DEFAULT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table SYS_SMS
-- 

/*!40000 ALTER TABLE `SYS_SMS` DISABLE KEYS */;

/*!40000 ALTER TABLE `SYS_SMS` ENABLE KEYS */;

-- 
-- Definition of VAR_ControlParam
-- 

DROP TABLE IF EXISTS `VAR_ControlParam`;
CREATE TABLE IF NOT EXISTS `VAR_ControlParam` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `CtlName` varchar(50) NOT NULL,
  `DeviceID` int(11) NOT NULL,
  `CtlCode` varchar(100) NOT NULL,
  `CtlAddr` int(2) NOT NULL DEFAULT '0',
  `DoCtl` bit(1) NOT NULL,
  PRIMARY KEY (`f_id`),
  KEY `DeviceID` (`DeviceID`)
) ENGINE=InnoDB AUTO_INCREMENT=71 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table VAR_ControlParam
-- 

/*!40000 ALTER TABLE `VAR_ControlParam` DISABLE KEYS */;

/*!40000 ALTER TABLE `VAR_ControlParam` ENABLE KEYS */;

-- 
-- Definition of VAR_VarGroup
-- 

DROP TABLE IF EXISTS `VAR_VarGroup`;
CREATE TABLE IF NOT EXISTS `VAR_VarGroup` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `GroupName` varchar(50) NOT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table VAR_VarGroup
-- 

/*!40000 ALTER TABLE `VAR_VarGroup` DISABLE KEYS */;

/*!40000 ALTER TABLE `VAR_VarGroup` ENABLE KEYS */;

-- 
-- Definition of VAR_Variable
-- 

DROP TABLE IF EXISTS `VAR_Variable`;
CREATE TABLE IF NOT EXISTS `VAR_Variable` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `VarName` varchar(50) NOT NULL,
  `VarGroupID` int(11) NOT NULL,
  `DeviceID` int(11) NOT NULL,
  `VarType` varchar(50) DEFAULT NULL,
  `RegisterDesc` varchar(100) DEFAULT NULL,
  `AddressConfig` varchar(50) DEFAULT NULL,
  `CurValue` varchar(50) DEFAULT NULL,
  `VarUnit` varchar(20) DEFAULT NULL,
  `DefaultValue` varchar(50) DEFAULT NULL,
  `ISAlarm` bit(1) NOT NULL,
  `AlarmLevel` int(11) NOT NULL,
  `IsTel` bit(1) NOT NULL,
  `IsSMS` bit(1) NOT NULL,
  PRIMARY KEY (`f_id`)
) ENGINE=InnoDB AUTO_INCREMENT=5752 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table VAR_Variable
-- 

/*!40000 ALTER TABLE `VAR_Variable` DISABLE KEYS */;

/*!40000 ALTER TABLE `VAR_Variable` ENABLE KEYS */;

-- 
-- Definition of ALM_RealTime
-- 

DROP TABLE IF EXISTS `ALM_RealTime`;
CREATE TABLE IF NOT EXISTS `ALM_RealTime` (
  `f_id` int(11) NOT NULL AUTO_INCREMENT,
  `ConfigID` int(11) DEFAULT NULL,
  `DeviceID` int(11) DEFAULT NULL,
  `VarID` int(11) NOT NULL,
  `AlarmText` varchar(100) DEFAULT NULL,
  `VarValue` varchar(50) DEFAULT NULL,
  `VarUnit` varchar(10) DEFAULT NULL,
  `Alarmlevel` int(11) DEFAULT NULL,
  `AlarmType` varchar(50) DEFAULT NULL,
  `TimeStamp` datetime DEFAULT NULL,
  `Quality` int(11) DEFAULT NULL,
  `Confirm` varchar(50) DEFAULT NULL,
  `ConfirmTime` datetime DEFAULT NULL,
  PRIMARY KEY (`f_id`),
  KEY `DeviceID` (`DeviceID`),
  KEY `VarID` (`VarID`),
  CONSTRAINT `alm_realtime_ibfk_1` FOREIGN KEY (`DeviceID`) REFERENCES `dev_device` (`f_id`),
  CONSTRAINT `alm_realtime_ibfk_2` FOREIGN KEY (`VarID`) REFERENCES `var_variable` (`f_id`)
) ENGINE=InnoDB AUTO_INCREMENT=199 DEFAULT CHARSET=utf8;

-- 
-- Dumping data for table ALM_RealTime
-- 

/*!40000 ALTER TABLE `ALM_RealTime` DISABLE KEYS */;

/*!40000 ALTER TABLE `ALM_RealTime` ENABLE KEYS */;

-- 
-- Dumping procedures
-- 

DROP PROCEDURE IF EXISTS `FlushHisData`;
DELIMITER |
CREATE PROCEDURE `FlushHisData`()
BEGIN
declare total int default 0;
declare tableName varchar(50);
set @tableName=concat('His_Variable_',date_format(now(),'%Y%m'));
set @sqlQuery=concat("select count(*) into @total from  information_schema.tables where table_name ='",@tableName,"' ");
prepare stmt from @sqlQuery;
execute stmt;
set total=@total;
if total<=0 then
set @sqlStruct='(f_id int not null PRIMARY KEY AUTO_INCREMENT,DeviceID int,VarID int,VarValue varchar(50),TimeStamp datetime,INDEX (TimeStamp))';
set @sqlCreate=concat('create table  ',@tableName ,@sqlStruct);
prepare stmt1 from @sqlCreate;
execute stmt1;
end if;
set @sqlInsert=concat("insert into ",@tableName," (DeviceID,VarID,VarValue,TimeStamp) SELECT j.DeviceID,i.varid,i.varvalue,now() from DAT_RealTime i,VAR_Variable j where  i.varid=j.f_id");
prepare stmt2 from @sqlInsert;
execute stmt2;
END |
DELIMITER ;

DROP PROCEDURE IF EXISTS `FlushHisVariable`;
DELIMITER |
CREATE PROCEDURE `FlushHisVariable`(IN DeviceID int,IN VarID int,IN VarValue varchar(50),IN TimeStamp datetime)
BEGIN
declare total int default 0;
declare tableName varchar(50);
set @tableName=concat('His_Variable_', year(now()),month(now()));
set @sqlQuery=concat("select count(*) into @total from  information_schema.tables where table_name ='",@tableName,"' ");
prepare stmt from @sqlQuery;
execute stmt;
set total=@total;
if total=0 then
set @sqlStruct='(f_id int not null PRIMARY KEY AUTO_INCREMENT,DeviceID int,VarID int,VarValue varchar(50),TimeStamp datetime)';
set @sqlCreate=concat('create table  ',@tableName ,@sqlStruct);
prepare stmt1 from @sqlCreate;
execute stmt1;
end if;
set @sqlInsert=concat("insert into ",@tableName," (DeviceID,VarID,VarValue,TimeStamp) values(",DeviceID,",",VarID,",'",VarValue,"','",TimeStamp,"')");
prepare stmt2 from @sqlInsert;
execute stmt2;
END |
DELIMITER ;

-- 
-- Dumping events
-- 

DROP EVENT IF EXISTS `AutoDoHisData`;
DELIMITER |
CREATE EVENT `AutoDoHisData` ON SCHEDULE EVERY 10 MINUTE STARTS '2013-07-20 18:44:00' ON COMPLETION NOT PRESERVE ENABLE DO CALL FlushHisData |
DELIMITER ;


/*!40101 SET SQL_MODE=@OLD_SQL_MODE */;
/*!40014 SET FOREIGN_KEY_CHECKS=@OLD_FOREIGN_KEY_CHECKS */;
/*!40014 SET UNIQUE_CHECKS=@OLD_UNIQUE_CHECKS */;
/*!40101 SET CHARACTER_SET_CLIENT=@OLD_CHARACTER_SET_CLIENT */;
/*!40101 SET CHARACTER_SET_RESULTS=@OLD_CHARACTER_SET_RESULTS */;
/*!40101 SET COLLATION_CONNECTION=@OLD_COLLATION_CONNECTION */;
/*!40111 SET SQL_NOTES=@OLD_SQL_NOTES */;


-- Dump completed on 2019-08-23 09:57:23
-- Total time: 0:0:0:0:314 (d:h:m:s:ms)
